INFO - 2013-2018 8.4A /AN FW Notes (RA3/VP3-NA & RA4/VP4-NA & UAx)

bigdodge

Senior Member
Joined
Jan 3, 2014
Posts
449
Reaction score
241
just so im clear abuot what update my radio needs. the part #68461703ac. its a new unit that had never been installed with a manufacture date of 7-21. the current software is 20.xx.xx. from what im reading on here i can update to the 22.6.
 
OP
OP
Mpgrimm2

Mpgrimm2

Senior Member
Preferred Vendor
Military
Joined
Mar 30, 2014
Posts
5,716
Reaction score
3,779
Location
Anderson, SC
Ram Year
2019 Laramie QC (5th Gen)
Engine
5.7L eTorque
Yes you do
 

Paperboy4828

Junior Member
Joined
Aug 23, 2017
Posts
18
Reaction score
10
Location
Upstate, NY
Ram Year
2014
Engine
6.4 Hemi
Well, up-grade to 18.45.01, Nav and all works fantastic, but now Sirius XM radio keeps loosing connection, will be going along and it will drop for 3 to 5 seconds then come right back. This happens randomly and repeatedly sometime 5 or 6 time in 10 minutes. It never did that until I installed the 18.45.01, and even though the documentations said it would enhance radio reception, there seemed to be no change for AM/FM reception, and now problems with Sirius XM... Has anyone else observed this problem? Any Suggestions?
 

Sarum

Junior Member
Joined
Jun 7, 2017
Posts
2
Reaction score
1
Location
Ontario
Ram Year
2017 Ram 1500 limited
Engine
Ecodiesel 3.0L
figured id share my story
i have a 2017 Ram 1500 limited ecodiesel, i bought a UAQ from infotainment 2 years ago (for the carplay feature)
been suffering from the odd freezing, crashing and seriusxm bug since i installed it.. been putting off updating because i didnt have a 2018 vin to get updates..
i was at the dealer asked them to help, they said nothing they could do
i asked the place i bought it from and they gave me the latest firmware 39.6 for UAQ

my first attempt to upgrade gave me error 20

then i read the pdf instructions for the 39.6 update (i know, backwards, shoulda read it first)

i read in the help file very specifically on the second page it said:

"CAUTION! The following procedure is to be performed in the order shown in this document.
Failure to do so may damage the radio and may need to be replacement. The
expected minimum SW version should be IR-22.64 or higher for the update."

and again on the third page:

"CAUTION! If this software is used on a radio with software level under 22.64, it could
damage the radio. If the radio is damaged it may need to be replaced."

my software was at 22.60 as is most people ive read about on this forum

i downloaded 28.3 which is compadable with upgrading from 22.6, then after it finished, i updated to 39.6 flawlessly with no problems

all files are here:


i hope this helps

now i just need to figure out how to get the updated maps.. again i need a valid vin :-(

thanks to Lurker55 for all the help
 

andrewfblack

Junior Member
Joined
Apr 30, 2022
Posts
1
Reaction score
1
Location
Dothan, AL
Ram Year
2013
Engine
Hemi 5.7
I got my truck last year and didn't know it was Canadian. It has a 8.4A (RA3) I tried to update firmware from uconnect site but it kept saying mine was up to date but it was 14.xx and I knew there were updates. After finding this thread I tried to flash the firmware from Post 9. All seemed to be going well then it gave an error and I have a screen telling me to insert update disk. If I put my thumb drive back in it will see it and say updating wait 2-3 minutes then go back to the insert update disk again. I figured may I had a bad download check MD5 again its good. Checked uconnect site again and made sure I couldn't find update there. Called uconnect support and they told me reason the site doesn't have firmware update is because my truck is Canadian. I had no clue it was Canadian, I bought it in South Alabama in July and dealer told me he sold the truck to the guy back in 2013. Which I figure was a lie but now I know its a lie.

I figure the reason the update failed is because I was flashing the US version of the firmware to the Canadian radio. Does anyone have 17.43.01 or any other firmware I an try for a Canadian 2013 RA3. I really don't want to have to buy a new radio.


Edit nevermind, I ended up using another SD Card and got it to update using the US version.
 
Last edited:

Kurt B

Junior Member
Joined
Oct 3, 2020
Posts
18
Reaction score
4
Location
Hillsboro Mo
Ram Year
2016
Engine
6.7 Cummins
Ok I have a RA3 from a 2015 Jeep Grand Cherokee limited that was running fine in the Jeep and I install it in my 2016 Ram and it will just continue to boot up and after being on for about 60 seconds or so it reboots again. The radio is running the odd Jeep only software version of 14.32.3 Which 8 was able to catch in the menu of the radio before it reboots. It also continues to use the Jeep Flash screen instead of changing to the Ram startup screen. I have been digging around trying to see if I can even update the software on this radio with a newer version but have not been able to dig up what version if any I can use to update this radio. Anyone have any suggestions or does this radio have to be installed in a 2015 Jeep to function properly?
 

Jtrem714

Junior Member
Joined
May 12, 2022
Posts
5
Reaction score
1
Location
Los Angeles, CA
Ram Year
2015
Engine
6.7 Cummins
I have been having issues with the device not supported message when using the compass hub.

Little lost on what software version I should be running.

Here is a snapshot of my radio and what it's running currently.

Any help would be appreciated.

EC80CA85-B3E1-4527-8FE2-6F042C492821.jpeg
 

SitKneelBend

Senior Member
Joined
Jan 8, 2015
Posts
8,022
Reaction score
3,886
Location
St. Louis
Ram Year
2014
Engine
3.6 Pentastar
I have been having issues with the device not supported message when using the compass hub.

Little lost on what software version I should be running.

Here is a snapshot of my radio and what it's running currently.

Any help would be appreciated.

View attachment 498048
You have a fairly new firmware (34.2) and I think its Canadian? The 39.6 firmware for Canadian trucks may fix your issue, but I'm running 39.6 and still have the message.
 
Top